#include <iostream>
#include <stdio.h>
//Pointer' 1 arttirilinca adres 4 artiyor. Bu derleyiciden derleyiciye degisen bir durum.
// %p yani adres 4'er 4'er artiyor!!!!

using namespace std;

int main()
{
    int n;
    int a[25];
    int *x;

    x=a; // x'e a'nin baslangic degerini ata. Yani a[0] degerini ata.

    //assign values to the array
    for(n=0;n<25;n++) {
        a[n]=n;
    }

    //how print out all array elemnet values
    for(n=0;n<25;n++,x++) {
        printf("%p Element %d holds %d\n",x,n,*x);
    }
    // x,in adresini 1 bayt kaydirmak demek (x++) , x'in adresini 4 bit ilerletmek demektir.
    // Adress is incremented by 4.

    return 0;
}
